import { HcApi } from '../../request/index'

export default {
    async queryBusinessUserOpinionList(form) {
        return HcApi({
            url: '/api/blade-business/businessUserOpinion/queryBusinessUserOpinionList',
            method: 'get',
            params: form,
        })
    },
    //业务人员提交环节操作
    async manageUserOperationStatus(form) {
        return HcApi({
            url: '/api/blade-business/businessUserOpinion/manageUserOperationStatus',
            method: 'post',
            params: form,
        })
    },
    //所有工单处理列表
    async queryBusinessUserOpinionListAll(form) {
        return HcApi({
            url: '/api/blade-business/businessUserOpinion/queryBusinessUserOpinionListAll',
            method: 'get',
            params: form,
        })
    },
    //我的消息
    async queryBusinessUserOpinion(form) {
        return HcApi({
            url: '/api/blade-manager/managerHomePage/queryBusinessUserOpinion',
            method: 'post',
            params: form,
        })
    },
    //所有代办工单
    async queryBusinessUserOpinionAll(form) {
        return HcApi({
            url: '/api/blade-manager/managerHomePage/queryBusinessUserOpinionAll',
            method: 'post',
            params: form,
        })
    },
    //获取人员账户统计
    async queryProjectUserAmount() {
        return HcApi({
            url: '/api/blade-manager/managerHomePage/queryProjectUserAmount',
            method: 'post',
            params: {},
        })
    },
    //证书统计
    async queryProjectPfx() {
        return HcApi({
            url: '/api/blade-manager/managerHomePage/queryProjectPfx',
            method: 'post',
            params: {},
        })
    },
    //维护类型统计汇总
    async queryOpinionTypeAmount() {
        return HcApi({
            url: '/api/blade-manager/managerHomePage/queryOpinionTypeAmount',
            method: 'post',
            params: {},
        })
    },
    //工单详情
    async queryOpinionDetails(form) {
        return HcApi({
            url: '/api/blade-manager/managerHomePage/queryOpinionDetails',
            method: 'post',
            params: form,
        })
    },
    //工单详情
    async isIgnore(form) {
        return HcApi({
            url: '/api/blade-business/businessUserOpinion/isIgnore',
            method: 'post',
            params: form,
        })
    },
}
